Subject: Re: bug#46218: 28.0.50; find-dired errors with non-directory output

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 14 Jun 2022 15:39:07 +0200

Stephen Berman <[email-masked]> writes:

> It occurred to me that invoking `(dired--align-all-files)' in
> find-dired-sentinel might render the realigning code in
> find-dired-filter superfluous.  But it turns out -- if I didn't make a
> mistake or overlook something in testing -- that simply removing the
> realigning code in find-dired-filter, without adding
> `(dired--align-all-files)' to find-dired-sentinel, fixes all the
> problems reported in this bug as well as in Bug#29803.  That is, I am
> now proposing the following patch instead of the one in my previous
> post:

Thanks; pushed to Emacs 29 (since it fixes the backtrace), but I have to
admit I've never understood what find-dired is supposed to be good for,
anyway.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no